LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPersist Interface Referencepublished

makes it possible to write this object to a URL or read it from a URL. More...

`import"XPersist.idl";`

Inheritance diagram for XPersist:

## Public Member Functions
void | write ([in] string URL) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the URL. More...
void | read ([in] string URL) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to write this object to a URL or read it from a URL.

## Member Function Documentation

## ◆ read()

void read | ( | [in] string | URL | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

reads all the persistent data of the object from the URL.

## ◆ write()

void write | ( | [in] string | URL | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes all the persistent data of the object to the URL.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XPersist.idl